I have to go with v1.4 runing on BT5R2.. when I last tested it it really blasted through my test router.